Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Kokyu_Push_Command Class Reference

`#include <EC_Kokyu_Dispatching.h>`

Collaboration diagram for TAO_EC_Kokyu_Push_Command:

[legend]
List of all members.

## Public Methods
| TAO_EC_Kokyu_Push_Command (TAO_EC_ProxyPushSupplier *proxy, RtecEventComm::PushConsumer_ptr consumer, RtecEventComm::EventSet &event, ACE_Allocator *allocator)
| Constructor.
virtual int | execute (void)
| Command callback.
## Protected Methods
virtual | ~TAO_EC_Kokyu_Push_Command (void)
## Private Attributes
TAO_EC_ProxyPushSupplier * | proxy_
| The proxy.
RtecEventComm::PushConsumer_var | consumer_
| The consumer connected to the proxy when the event was pushed.
RtecEventComm::EventSet | event_
| The event.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Kokyu_Push_Command::TAO_EC_Kokyu_Push_Command | ( | TAO_EC_ProxyPushSupplier * | proxy,
|  | RtecEventComm::PushConsumer_ptr | consumer,
|  | RtecEventComm::EventSet & | event,
|  | ACE_Allocator * | allocator
| ) |

| Constructor.

TAO_EC_Kokyu_Push_Command::~TAO_EC_Kokyu_Push_Command | ( | void |  | ) | `[protected, virtual]`

## Member Function Documentation

int TAO_EC_Kokyu_Push_Command::execute | ( | void |  | ) | `[virtual]`

| Command callback.

## Member Data Documentation

RtecEventComm::PushConsumer_var TAO_EC_Kokyu_Push_Command::consumer_`[private]`

| The consumer connected to the proxy when the event was pushed.

RtecEventComm::EventSet TAO_EC_Kokyu_Push_Command::event_`[private]`

| The event.

TAO_EC_ProxyPushSupplier* TAO_EC_Kokyu_Push_Command::proxy_`[private]`

| The proxy.

The documentation for this class was generated from the following files:

- EC_Kokyu_Dispatching.h
- EC_Kokyu_Dispatching.cpp
- EC_Kokyu_Dispatching.i